{{if .actions}}
<div class="btn-group px-1" role="group">
  <button id="{{.name}}" type="button" class="btn btn-secondary dropdown-toggle" data-toggle="dropdown"
    aria-expanded="false">
    {{with .icon}}<i class="text-dark {{.}}" aria-hidden="true"></i>{{end}}
    {{.label}}
  </button>
  <ul class="dropdown-menu" aria-labelledby="{{.name}}">
    {{range .actions}}
    <li>
      <a class="dropdown-item" href="#" {{with .action}}data-action="click->{{$.controller}}#{{.}}" {{end}}>
        {{with .icon}}<i class="{{.}}" aria-hidden="true"></i>{{end}}
        {{.label}}
      </a>
    </li>
    {{end}}
  </ul>
</div>
{{else}}
<span class="px-1">
  {{if .url}}
  <a class="btn {{default "btn-primary" .class}}" onclick="window.location={{if eq .url ".."}}window.location.href.substring(0, window.location.href.lastIndexOf('/')){{else}}window.location.href.includes('/products')?window.location.href.substring(0, window.location.href.length-9):(window.location.href+'/{{.url}}'){{end}};return false" {{with .action}}data-action="click->{{$.controller}}#{{.}}" {{end}}>
    {{with .icon}}<i class="text-dark {{.}}" aria-hidden="true"></i>{{end}}
    {{.label}}
  </a>
  {{else}}
  <button type="button" class="btn {{default "btn-primary" .class}}" {{with .action}}data-action="click->{{$.controller}}#{{.}}" {{end}}>
    {{with .icon}}<i class="text-dark {{.}}" aria-hidden="true"></i>{{end}}
    {{.label}}
  </button>
  {{end}}
</span>
{{end}}
